docs

# KtorRequestsExecutor

class KtorRequestsExecutor ( telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , client: HttpClient = HttpClient(), callsFactories: List < KtorCallFactory > = emptyList(), excludeDefaultFactories: Boolean = false, requestsLimiter: RequestLimiter = ExceptionsOnlyLimiter(), jsonFormatter: Json = nonstrictJsonFormat, pipelineStepsHolder: KtorPipelineStepsHolder = KtorPipelineStepsHolder) : BaseRequestsExecutor
Content copied to clipboard

## Constructors

KtorRequestsExecutor
Link copied to clipboard
fun KtorRequestsExecutor ( telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , client: HttpClient = HttpClient(), callsFactories: List < KtorCallFactory > = emptyList(), excludeDefaultFactories: Boolean = false, requestsLimiter: RequestLimiter = ExceptionsOnlyLimiter(), jsonFormatter: Json = nonstrictJsonFormat, pipelineStepsHolder: KtorPipelineStepsHolder = KtorPipelineStepsHolder)
Content copied to clipboard

## Functions

close
Link copied to clipboard
open override fun close ()
Content copied to clipboard
execute
Link copied to clipboard
open suspend override fun < T : Any > execute (request: Request < T >): T
Content copied to clipboard

Unsafe execution of incoming request. Can throw almost any exception. So, it is better to use something like dev.inmo.tgbotapi.extensions.utils.shortcuts.executeAsync or dev.inmo.tgbotapi.extensions.utils.shortcuts.executeUnsafe